UUENCODE(1) | General Commands Manual | UUENCODE(1)

# NAME

uuencode, uudecode — encode/decode a binary file

# SYNOPSIS

uuencode | [-m] [inputfile] outputname

uudecode | [-m | -p] [encoded-file ...]

# DESCRIPTION

uuencode and uudecode are used to transmit binary files over transmission mediums that do not support other than simple ASCII data.

The following options are available:

-m
  Use base64 encoding.

uuencode reads inputfile (or by default the standard input) and writes an encoded version to the standard output. The encoding uses only printing ASCII characters and includes the mode of the file and the operand outputname for use by uudecode.

uudecode transforms uuencoded files (or by default, the standard input) into the original form. The resulting file is named outputname as recorded in the encoded file, and will have the mode of the original file except that setuid and execute bits are not retained; if the -p option is specified, the data will be written to the standard output instead. uudecode ignores any leading and trailing lines.

# EXIT STATUS

The uudecode and uuencode utilities exits 0 on success, and >0 if an error occurs.

# EXAMPLES

The following example packages up a source tree, compresses it, uuencodes it and mails it to a user on another system.

    tar czf - src_tree | uuencode src_tree.tgz | mail user@example.com

On the other system, if the user saves the mail to the file temp, the following example creates the file src_tree.tgz and extracts it to make a copy of the original tree.

    uudecode temp
    tar xzf src_tree.tgz

# SEE ALSO

gzip(1), mail(1), tar(1), uuencode(5)

# STANDARDS

The uudecode and uuencode utilities conform to IEEE Std 1003.2-1992 (“POSIX.2”).

# HISTORY

The uudecode and uuencode utilities appeared in 4.0BSD.

# BUGS

The encoded form of the file is expanded by 35% (3 bytes become 4 plus control information).

November 30, 2008 | NetBSD 6.0